package com.wombat.aliyun_oss.utils;

public class BinaryUtil {
    private static byte charToByte(char c) {
        return (byte) "0123456789ABCDEF".indexOf(c);
    }

    public static byte[] hexString2Bytes(String hex) {
        if ((hex == null || (hex.equals("")))) {
            return null;
        } else if (hex.length() % 2 != 0) {
            return null;
        } else {
            hex = hex.toUpperCase();
            int len = hex.length() / 2;
            byte[] b = new byte[len];
            char[] hc = hex.toCharArray();
            for (int i = 0; i < len; i++) {
                int p = 2 * i;
                b[i] = (byte) (charToByte(hc[p]) << 4 | charToByte(hc[p + 1]));
            }
            return b;
        }
    }

    public static String base64FromHexString(String hex) {
        if (hex == null || hex.equals("")) {
            return null;
        }
        return com.alibaba.sdk.android.oss.common.utils.BinaryUtil.toBase64String(hexString2Bytes(hex));
    }
}
