package com.wombat.aliyun_oss.utils

import java.io.File

object FileUtil {

    fun getUniqueFileName(folderName: String, searchedFilename: String): File {
        var num = 1
        val extension: String = getExtension(searchedFilename)
        val nameWithoutExtension = searchedFilename.substring(0, searchedFilename.lastIndexOf("."))

        var fileName = searchedFilename
        var file = File(folderName, fileName)

        while (file.exists()) {
            fileName = nameWithoutExtension + " (" + num++ + ")" + extension
            file = File(folderName, fileName)
        }

        return file
    }

    private fun getExtension(name: String): String {
        return if (name.contains(".")) {
            name.substring(name.lastIndexOf("."))
        } else {
            name
        }
    }
}