package com.wombat.aliyun_oss.listener

import com.wombat.aliyun_oss.model.download.DownloadFailData
import com.wombat.aliyun_oss.model.download.DownloadInitData
import com.wombat.aliyun_oss.model.download.DownloadProgressData
import com.wombat.aliyun_oss.model.download.DownloadSuccessData

class DownloadCallback constructor(
    val initCallback: (DownloadInitData) -> Unit,
    val progressCallback: (DownloadProgressData) -> Unit,
    val successCallback: (DownloadSuccessData) -> Unit,
    val failCallback: (DownloadFailData) -> Unit
)